> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch audit logs

> Fetch audit logs (only available on an Enterprise Plan)



## OpenAPI

````yaml get /audit_logs
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Players
  - name: Services
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Uploads
  - name: Users
  - name: Videos
paths:
  /audit_logs:
    get:
      tags:
        - Audit logs
      summary: Fetch audit logs
      description: Fetch audit logs (only available on an Enterprise Plan)
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/cursor'
      responses:
        '200':
          $ref: '#/components/responses/AuditLogs'
components:
  parameters:
    limit:
      name: limit
      in: query
      description: The maximum number of results to return
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 25
        default: 25
        example: 10
    cursor:
      name: cursor
      in: query
      description: A cursor to fetch the next page of results
      required: false
      schema:
        type: string
        example: AbCdEfGhIJkLMnOpQrStUvWxYz
  responses:
    AuditLogs:
      description: Audit logs
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                type: array
                items:
                  $ref: '#/components/schemas/AuditLogRow'
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
  schemas:
    AuditLogRow:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: ca6286a0-d873-4d3e-a150-32478fe1d8f2
        actor_type:
          type: string
          enum:
            - user
            - application
          example: user
        actor_id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        entity_type:
          type: string
          enum:
            - api_keys
            - categories
            - folders
            - idps
            - invites
            - jwt_keys
            - players
            - services
            - stream_keys
            - tokens
            - transcribes
            - uploads
            - users
            - videos
          example: videos
        entity_id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        action_type:
          type: string
          enum:
            - create
            - update
            - delete
          example: create
        action_data:
          type: string
          example: ''
        action_ip:
          type: string
          format: ipv4
          example: 1.2.3.4
        action_time:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````